\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - IO Streams

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Stream Operators
IO Streams Reference

##

## Functions
ostream & | CGAL::operator<< (ostream &os, Class c)
| Inserts object `c` in the stream `os`. More...
istream & | CGAL::operator>> (istream &is, Class c)
| CGAL defines input operators for classes that are derived from the class `istream`. More...

## Function Documentation

ostream& CGAL::operator<< | ( | ostream & | os,
|  | Class | c
| ) |  |

Inserts object `c` in the stream `os`.

Returns `os`.

CGAL defines output operators for classes that are derived from the class `ostream`. This allows to write to ostreams as `cout` or `cerr`, as well as to `std::ostringstream` and `std::ofstream`. The output operator is defined for all classes in the CGAL `Kernel` and for the class `Color` as well.

See Also
  `CGAL::set_mode()`
  `CGAL::set_ascii_mode()`
  `CGAL::set_binary_mode()`
  `CGAL::set_pretty_mode()`
  `CGAL::get_mode()`
  `CGAL::is_ascii()`
  `CGAL::is_binary()`
  `CGAL::is_pretty()`

`#include <CGAL/IO/io.h>`

istream& CGAL::operator>> | ( | istream & | is,
|  | Class | c
| ) |  |

CGAL defines input operators for classes that are derived from the class `istream`.

This allows to read from istreams as `cin`, as well as from `std::istringstream` and `std::ifstream`. The input operator is defined for all classes in the CGAL `Kernel`.

See Also
  `CGAL::set_mode()`
  `CGAL::set_ascii_mode()`
  `CGAL::set_binary_mode()`
  `CGAL::set_pretty_mode()`
  `CGAL::get_mode()`
  `CGAL::is_ascii()`
  `CGAL::is_binary()`
  `CGAL::is_pretty()`

`#include <CGAL/IO/io.h>`